clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::clangd::Tweak::Selection Struct Reference

Input to prepare and apply tweaks. More...

`#include <Tweak.h>`

Collaboration diagram for clang::clangd::Tweak::Selection:
[legend]

## Public Member Functions
| Selection (const SymbolIndex *Index, ParsedAST &AST, unsigned RangeBegin, unsigned RangeEnd)

## Public Attributes
llvm::StringRef | Code
| The text of the active document. More...
const SymbolIndex * | Index = nullptr
| The Index for handling codebase related queries. More...
ParsedAST * | AST
| The parsed active file. Never null. (Pointer so Selection is movable). More...
SourceLocation | Cursor
| A location of the cursor in the editor. More...
unsigned | SelectionBegin
| The begin offset of the selection. More...
unsigned | SelectionEnd
| The end offset of the selection. More...
SelectionTree | ASTSelection
| The AST nodes that were selected. More...

## Detailed Description

Input to prepare and apply tweaks.

Definition at line 49 of file Tweak.h.

## Constructor & Destructor Documentation

## ◆ Selection()

clang::clangd::Tweak::Selection::Selection | ( | const SymbolIndex * | Index,
|  | ParsedAST & | AST,
|  | unsigned | RangeBegin,
|  | unsigned | RangeEnd
| ) |  |

Definition at line 48 of file Tweak.cpp.

## Member Data Documentation

## ◆ AST

ParsedAST* clang::clangd::Tweak::Selection::AST

The parsed active file. Never null. (Pointer so Selection is movable).

Definition at line 57 of file Tweak.h.

## ◆ ASTSelection

SelectionTree clang::clangd::Tweak::Selection::ASTSelection

The AST nodes that were selected.

Definition at line 66 of file Tweak.h.

## ◆ Code

llvm::StringRef clang::clangd::Tweak::Selection::Code

The text of the active document.

Definition at line 53 of file Tweak.h.

## ◆ Cursor

SourceLocation clang::clangd::Tweak::Selection::Cursor

A location of the cursor in the editor.

Definition at line 60 of file Tweak.h.

## ◆ Index

const SymbolIndex* clang::clangd::Tweak::Selection::Index = nullptr

The Index for handling codebase related queries.

Definition at line 55 of file Tweak.h.

## ◆ SelectionBegin

unsigned clang::clangd::Tweak::Selection::SelectionBegin

The begin offset of the selection.

Definition at line 62 of file Tweak.h.

## ◆ SelectionEnd

unsigned clang::clangd::Tweak::Selection::SelectionEnd

The end offset of the selection.

Definition at line 64 of file Tweak.h.

The documentation for this struct was generated from the following files:

- Tweak.h
- Tweak.cpp